package com.keyware.shandan.bianmu.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 目录类型枚举类
 * </p>
 *
 * @author Administrator
 * @since 2021/6/4
 */
@Getter
@AllArgsConstructor
public enum DirectoryType {
    DIRECTORY("DIRECTORY", "结构目录"),
    METADATA("METADATA", "数据表"),
    FILE("FILE", "文件"),
    LINK_DIR("LINK_DIR", "软连接"),
    LINK_METADATA("LINK_METADATA", "软连接"),
    LINK_FILE("LINK_FILE", "软连接");

    @EnumValue
    private final String value;
    private final String remark;
}
